Subject: Re: [bitcoin-dev] Generalized covenants with taproot enable riskless or risky lending, prevent credit inflation through fractional reserve

From: Eric Voskuil <[email-masked]>
Date: Sun, 30 Jun 2019 10:41:33 -0700

> On Jun 30, 2019, at 03:56, Tamas Blummer <[email-masked]> wrote:
> 
> Hi Eric,
> 
>> On Jun 29, 2019, at 23:21, Eric Voskuil <[email-masked]> wrote:
>> 
>> What loan? Alice has paid Bob for something of no possible utility to her, or anyone else.
>> 
> 
> Coins encumbered with the described covenant represent temporary control of a scarce resource.
> 
> Can this obtain value? That depends on the availability of final control and ability to deal with temporary control.

For something to become property (and therefore have marketable value) requires that it be both scarce and useful. Bitcoin is useful only to the extent that it can be traded for something else that is useful. Above you are only dealing with scarcity, ignoring utility.

> An example where final control is not available are areas and jurisdictions where land can not be bought only long time rents are offered.
> People pay high prices there to step in place of the renter in an existing long term rent contract and they figured out the contracts that work under these restrictions.

I was careful to point out that bitcoin is not in any way consumable. Occupying scarce land is a service to people. Units of bitcoin encumbered such that they cannot be traded for something of service to a person do not constitute property. You cannot even polish them, stack them on the floor, and roll around on them.

> Bitcoin’s predominant use is already store of value. Many assume not only wealth preservation but that it would allow to purchase of more goods in the future than now.

Yet it has been established that these encumbered coins cannot purchase anything of value except to the extent that an imperfect market is unaware of the scam.

> This leads to unwillingnes to give up final control, which can resolve in two ways:
> 
> - Increasing fiat prices for final control. We see this, and is actually further reinforcing unwillingnes to give up final control.
> - dealing with temporary control. We do not yet have the technical means of even representing this. Developing them is my goal.

Your goal is clear and not at issue.

> I think you do not show the neccesary respect of the market.

I’m not sure what is meant here by respect, or how much of it is necessary. I am merely explaining the market.

> Your rant reminds me of renowed economists who still argue final control Bitcoin can not have value, you do the same proclaiming that temporary control of Bitcoin can not have value.

It seems to me you have reversed the meaning of temporary and final. Bitcoin is useful because of the presumption that there is no finality of control. One presumes an ability to trade control of it for something else. This is temporary control. Final control would be the case in which, at some point, it can no longer be traded, making it worthless at that point. If this is known to be the case it implies that it it worthless at all prior points as well.

These are distinct scenarios. The fact that temporary (in my usage) control implies the possibility of value does not imply that finality of control does as well. The fact that (renowned or otherwise) people have made errors does not imply that I am making an error. These are both non-sequiturs.

> I say, that temporary control does not have value until means dealing with it are offered, and that is I work on. Thereafter might obtain value if final control is deemed too expensive or not attainable, we shall see.

The analogy to rental of a consumable good does not apply to the case of a non-consumable good. If it cannot be traded and cannot be consumed it cannot obtain marketable value. To this point it matters not whether it exists.

Best,
Eric

> Tamas Blummer